aboutsummaryrefslogtreecommitdiff
path: root/deployment/build.linux.amd64
diff options
context:
space:
mode:
authorcrobibero <cody@robibe.ro>2020-06-19 10:49:49 -0600
committercrobibero <cody@robibe.ro>2020-06-19 10:49:49 -0600
commit494f6970724f3243ed5a6ebe89d756bf2759d3eb (patch)
tree3b46944461c30fb750170534d15dc90ffa386be0 /deployment/build.linux.amd64
parent000088f8f94e24ea715f15b722a2e64958bec07b (diff)
parent305808dd0ac4f86bb1663e7f6ba2b22064ace0ba (diff)
Merge remote-tracking branch 'upstream/api-migration' into api-library
Diffstat (limited to 'deployment/build.linux.amd64')
-rwxr-xr-xdeployment/build.linux.amd6427
1 files changed, 27 insertions, 0 deletions
diff --git a/deployment/build.linux.amd64 b/deployment/build.linux.amd64
new file mode 100755
index 0000000000..0cbbd05cf9
--- /dev/null
+++ b/deployment/build.linux.amd64
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#= Generic Linux amd64 .tar.gz
+
+set -o errexit
+set -o xtrace
+
+# Move to source directory
+pushd ${SOURCE_DIR}
+
+# Get version
+version="$( grep "version:" ./build.yaml | sed -E 's/version: "([0-9\.]+.*)"/\1/' )"
+
+# Build archives
+dotnet publish Jellyfin.Server --configuration Release --self-contained --runtime linux-x64 --output dist/jellyfin-server_${version}/ "-p:GenerateDocumentationFile=false;DebugSymbols=false;DebugType=none;UseAppHost=true"
+tar -czf jellyfin-server_${version}_linux-amd64.tar.gz -C dist jellyfin-server_${version}
+rm -rf dist/jellyfin-server_${version}
+
+# Move the artifacts out
+mkdir -p ${ARTIFACT_DIR}/
+mv jellyfin[-_]*.tar.gz ${ARTIFACT_DIR}/
+
+if [[ ${IS_DOCKER} == YES ]]; then
+ chown -Rc $(stat -c %u:%g ${ARTIFACT_DIR}) ${ARTIFACT_DIR}
+fi
+
+popd